import greenfoot.*;

public class Button extends Actor
{
    public Button()
    {
        GreenfootImage image = new GreenfootImage(40, 40);
        image.setColor(Color.PINK);
        image.fillOval(0, 0, 39, 39);
        image.setColor(Color.BLACK);
        image.drawOval(0, 0, 39, 39);
        image.drawOval(3, 3, 33, 33);
        GreenfootImage text = new GreenfootImage("Switch", 28, Color.BLACK, new Color(0, 0, 0, 0));
        while (image.getWidth() < text.getWidth()+50) image.scale(image.getWidth()+1, image.getHeight());
        image.drawImage(text, (image.getWidth()-text.getWidth())/2, (image.getHeight()-text.getHeight())/2);
        setImage(image);
    }

    public void act()
    {
        if (Greenfoot.mouseClicked(this))
        {
            if (getWorld() instanceof Track) Greenfoot.setWorld(new Track2());
            else if (getWorld() instanceof Track2) Greenfoot.setWorld(new Track3());
            else if (getWorld() instanceof Track3) Greenfoot.setWorld(new Track4());
            else Greenfoot.setWorld(new Track());
        }
    }
}